function CardapioService(Query, GrupoPromocaoCombinadaRepo, ProductsRepository, ProdutoDoGrupoRepo, StoreListRepository, ProductsHistoryRepo, PlacesRepository){

    var selectStore = {};
    
    this.getSelectStore = () => {
        return selectStore;
    };

    this.setSelectStore = (store) => {
        selectStore = store;
    };
    
    this.loadProducts = function(CDFILIAL, CDLOJA, CDCAIXA, CDCLIENTE, imageUrl){
        var query = Query.build()
                        .where('CDFILIAL').equals(CDFILIAL)
                        .where('CDLOJA').equals(CDLOJA)
                        .where('CDCAIXA').equals(CDCAIXA)
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('imageUrl').equals(imageUrl);
        return ProductsRepository.download(query);
    };
    this.loadProdGrup = function(CDPRODPROMOCAO, CDGRUPROMOC, CDFILIAL, CDTABEPREC, DTINIVGPREC){
        var query = Query.build()
                        .where('CDPRODPROMOCAO').equals(CDPRODPROMOCAO)
                        .where('CDGRUPROMOC').equals(CDGRUPROMOC)
                        .where('CDFILIAL').equals(CDFILIAL)
                        .where('CDTABEPREC').equals(CDTABEPREC)
                        .where('DTINIVGPREC').equals(DTINIVGPREC);
        return ProdutoDoGrupoRepo.download(query);
    };

/*    this.loadProductsHistory = function(CDCLIENTE, CDCONSUMIDOR, CDFILIAL, CDCAIXA) {
        var query = Query.build()
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
                        .where('CDFILIAL').equals(CDFILIAL)
                        .where('CDCAIXA').equals(CDCAIXA);
        return ProductsHistoryRepo.download(query);
    };*/

    this.loadGrupProd = function (CDPRODUTO){
        var query = Query.build()
                        .where('CDPRODUTO').equals(CDPRODUTO);
        return GrupoPromocaoCombinadaRepo.download(query);
    };

    this.getStores = function(){
        var query = Query.build();
        return StoreListRepository.download(query);
    };

    this.getPlaces = function(CDCLIENTE) {
        var query = Query.build()
                        .where('CDCLIENTE').equals(CDCLIENTE);
        return PlacesRepository.download(query);
    };

    this.loadMenu = function(selectStore, CDCLIENTE) {
        var query = Query.build()
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDFILIAL').equals(selectStore.CDFILIAL)
                        .where('NRCONFTELA').equals(selectStore.NRCONFTELA)
                        .where('CDLOJA').equals(selectStore.CDLOJA)
                        .where('CDCAIXA').equals(selectStore.CDCAIXA);
        return ProductsRepository.download(query);
    };
};

Configuration(function(ContextRegister) {
    ContextRegister.register('CardapioService', CardapioService);
});