function NutriReportService(Query, NutritionalDataRepo, UserShoppingDataRepo) {
	/*Nutritional Report - General*/
	this.getNutritionalData = function(CDFILIAL, DTINI, DTFIM, requiredData){
		var query = Query.build()
						.where('CDFILIAL').equals(CDFILIAL)
						.where('DTINI').equals(DTINI)
						.where('DTFIM').equals(DTFIM)
						.where('requiredData').equals(requiredData)
                        .where('lang').equals(window.lang);
        return NutritionalDataRepo.download(query);
	};

	/*Nutritional Report - User specific*/
	this.getUserShoppingData = function(CDFILIAL, CDCLIENTE, CDCONSUMIDOR, DTINI, DTFIM){
		var query = Query.build()
						.where('CDFILIAL').equals(CDFILIAL)
						.where('CDCLIENTE').equals(CDCLIENTE)
						.where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
						.where('DTINI').equals(DTINI)
						.where('DTFIM').equals(DTFIM);
        return UserShoppingDataRepo.download(query);
	};
};

Configuration(function(ContextRegister) {
	ContextRegister.register('NutriReportService', NutriReportService);
});